Subject: bug#15611: not reproduced

From: Noam Postavsky <[email-masked]>
Date: Wed, 07 Aug 2019 12:13:14 -0400

tags 15611 fixed
close 15611 24.5
quit

>>     M-: (font-lock-fontify-region 1 (point-max)) RET
>>
>> and the following error was signalled:
>>
>>     Error during redisplay: (jit-lock-function 1) signaled (args-out-of-range 39 55)
>>
>> I expect C mode not to signal an error in this case.
>>
>> (I'm running GNU Emacs 24.3.1 (x86_64-apple-darwin, NS apple-appkit-1038.36) of 2013-03-13.)
>
> When I attempted to recreate this in a build from the emacs-24 git branch
> today, I do not see the error in the bug report.  I do, however, see a
> message echoed:
>  (jit-lock-bounds 1 . 55)

Which is fine.  This bug seems to have been fixed in 24.5.